tigase.jaxmpp.core.client.connector

## Class SeeOtherHostHandler.SeeOtherHostEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<SeeOtherHostHandler>
    - - tigase.jaxmpp.core.client.connector.SeeOtherHostHandler.SeeOtherHostEvent

- Enclosing interface:
    SeeOtherHostHandler

      public static class SeeOtherHostHandler.SeeOtherHostEvent
      extends JaxmppEvent<SeeOtherHostHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeeOtherHostEvent(SessionObject sessionObject, String seeHost, MutableBoolean handled)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(SeeOtherHostHandler handler)` Invokes handlers method.

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeeOtherHostEvent

          public SeeOtherHostEvent(SessionObject sessionObject,
                                   String seeHost,
                                   MutableBoolean handled)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(SeeOtherHostHandler handler)
                           throws Exception

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<SeeOtherHostHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `Exception`

Copyright © 2006–2016 Tigase. All rights reserved.